<p></p>
<div *ngIf="!!auctionDto">

  <div class="center-div">
    <img
      class="art-img"
      src='{{ serverUrl }}/api/images/{{auctionDto.imageId}}'/>
  </div>

  <div class="flex-inline-box">
    <div>
      <div class="flex-inline-box">
        <app-info-card
          [label]="'author'"
          [text]="auctionDto.artistName"
        ></app-info-card>
        <app-info-card
          [label]="'step'"
          [text]="'SERVER.ENUM.STEP.' + auctionDto.step | translate"
        ></app-info-card>
      </div>
      <div class="flex-inline-box">
        <app-info-card
          [label]="'highest bid'"
          [text]="highestBidValue.toString()"
        ></app-info-card>
        <app-info-card
          *ngIf="auctionDto.isAutoBuy"
          [label]="'auto buy'"
          [text]="auctionDto.autoBuyValue.toString()"
        ></app-info-card>
      </div>
    </div>
    <div>
      <div class="flex-inline-box">
        <app-action-button
          [pIcon]="'pi-heart'"
          [label]="'Favorite'"
        ></app-action-button>
        <app-action-button
          [pIcon]="'pi-comment'"
          [label]="'Priv'"
        ></app-action-button>
      </div>
      <div class="flex-inline-box">
        <app-action-button
          [pIcon]="'pi-plus'"
          [label]="'Add Bid'"
          [isOff]="!isBiddingStep()"
          (buttonClicked)="openAddBidDialog()"
        ></app-action-button>
        <app-action-button
          *ngIf="auctionDto.isAutoBuy"
          [label]="'Auto Buy'"
          [pIcon]="'pi-wallet'"
          [isOff]="!isBiddingStep()"
        ></app-action-button>
      </div>
    </div>
  </div>


  <p-divider></p-divider>

  <div class="dark-tab-menu">
    <p-tabMenu [model]="auctionDetailsTabs" [activeItem]="activeDetailsTab"></p-tabMenu>
  </div>
  <p></p>
  <div class="tabs-content">
    <router-outlet></router-outlet>
  </div>

</div>
